=== debian/changelog ===
stress-ng (0.01.32-1) unstable; urgency=medium

  * Makefile: bump version
  * Handle forced abort and tidy up when errors occur during start up
  * Add more termination checks to try to abort faster
  * Fix --sched option that had missing .TP
  * Remove duplicate const
  * Neaten up the see also list

 -- Colin King <colin.king@canonical.com>  Thu, 28 Aug 2014 00:21:01 +0100

stress-ng (0.01.31-1) unstable; urgency=medium

  * Makefile: bump version
  * Minor fix-ups in man page
  * Re-order globals, saves 8 bytes
  * Make mwc uint64_t
  * Add some more comments
  * Remove DIV_OPS_BY_PROCS macro
  * Fix --keep-name help info (order and missing ')
  * Fix --sched man page option

 -- Colin King <colin.king@canonical.com>  Tue, 19 Aug 2014 15:47:28 +0100

stress-ng (0.01.30-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix up a few resource leaks
  * Add format length specifier to scanf on integers
  * Minor var cleanup from cppcheck
  * Re-work help info
  * Remove common functionality, make code smaller
  * Free procs more rigorously.
  * Clear sigqueue union, keeps valgrind happy
  * Free procs info at exit
  * Add more information in man page
  * Re-use stressor names in checks
  * Cast max_ops to (void) to avoid unused var warnings
  * Add --vm-locked option and force cpu affinity changes on cache stress
  * Fix spelling mistake in man page
  * Remove some extraneous white spaces
  * Remove commas from nunbers in help
  * Align help info
  * Remove redundant code that got accidently left in
  * Simplify hogs message
  * Keep track of per stress test ops count in opt_ops array
  * Add -P, --poll, --poll-ops zero timeout polling stress test
  * Add -k, --keep-name option to not change name of stress processes
  * Add -r, --random option to create N random stress processes

 -- Colin King <colin.king@canonical.com>  Tue, 5 Aug 2014 17:25:01 +0100

stress-ng (0.01.29-1) unstable; urgency=medium

  * Makefile: bump version
  * Use si_value.sival_int instead of info.si_int (Closes: #756787)
  * Fix incorrect nesting of OPT_SIGQUEUE*

 -- Colin King <colin.king@canonical.com>  Fri, 1 Aug 2014 23:25:23 +0100

stress-ng (0.01.28-1) unstable; urgency=medium

  * Makefile: bump version, change codename
  * Add sigqueue and sigwaitinfo stress, new --sigq, --siqq-ops options
  * Make mwc inline
  * Make opt_do_run volatile
  * Make -O2 default
  * Remove numerous printfs in help info
  * Remove lots of duplicate stress test names from code
  * Fixup print % qualifier
  * Clean all objects on make clean

 -- Colin King <colin.king@canonical.com>  Wed, 30 Jul 2014 10:25:00 +0100

stress-ng (0.01.27-1) unstable; urgency=medium

  * Makefile: bump version
  * Add more info to man page
  * Add open stress test
  * Fix bug in semaphore range checking
  * Fix dbg message for stress_int
  * Add some more comments
  * Add more information in man page
  * Increase the -l option accuracy by biasing by the select() overhead time
  * Add missing comma to output

 -- Colin King <colin.king@canonical.com>  Tue, 29 Jul 2014 00:33:31 +0100

stress-ng (0.01.26-1) unstable; urgency=medium

  * Makefile: bump version
  * Add semaphore stress, --sem and --sem-ops options

 -- Colin King <colin.king@canonical.com>  Sun, 27 Jul 2014 16:24:22 +0100

stress-ng (0.01.25-1) unstable; urgency=medium

  * Makefile: bump version
  * More aggresive process termination to kill any lingering processes

 -- Colin King <colin.king@canonical.com>  Sun, 20 Jul 2014 18:05:01 +0100

stress-ng (0.01.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add helper.c to make dist
  * Add integer stressor, --int and --int-ops options
  * urandom: cater for non-linux builds
  * Add --float and --float-ops floatin point stressors
  * Add urandom stress, -u, --urandom and --urandom-ops options
  * Make timer stress more responsive to SIGINTs
  * Forgot to add 'T' option to getopt

 -- Colin King <colin.king@canonical.com>  Sun, 20 Jul 2014 17:38:43 +0100

stress-ng (0.01.23-1) unstable; urgency=medium

  * Makefile: bump version
  * Add snappier process termination
  * Add -h option
  * Add more debug on exit paths
  * Add more checking on sigaction
  * Minor code tidy up
  * Move time_now()
  * Use timeval helper in time_now()
  * Fix build error on GNU HURD

 -- Colin King <colin.king@canonical.com>  Mon, 14 Jul 2014 11:49:41 +0100

stress-ng (0.01.22-1) unstable; urgency=medium

  * Makefile: bump version
  * Add directory entry thrashing
  * Track ftruncate errors

 -- Colin King <colin.king@canonical.com>  Sun, 13 Jul 2014 17:19:05 +0100

stress-ng (0.01.21-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove need for rand, it makes Coverity Scan complain
  * Check for freq divide by zero
  * Add in __linux__ build dependency on timers
  * Add timer stress test --timer, --timer-ops and --timer-freq options
  * Note that affinity options linux only in man page
  * opt_affinity_ops is linux only
  * Fix man page -F option
  * Add CPU affinity stress processes, add --affinity and --affinity-ops options

 -- Colin King <colin.king@canonical.com>  Sat, 12 Jul 2014 21:50:00 +0100

stress-ng (0.01.20-1) unstable; urgency=medium

  * Makefile: bump version
  * Ignore return from ftruncate, we don't care
  * Fix spelling mistakes
  * Standardise error messages
  * Remove extraneous pid at end of pr_* messages
  * Add more information when error occurs

 -- Colin King <colin.king@canonical.com>  Mon, 7 Jul 2014 20:00:00 +0100

stress-ng (0.01.19-1) unstable; urgency=medium

  * Makefile: bump version
  * Willfully ignore posix_fallocate() failures, we don't care
  * Terminate and tidy up flock stress temp file
  * Update help information
  * Make conditional stress tests no-ops rather than not including them
  * Add file locking stress, --flock and --flock-ops options
  * Add --vm-populate option
  * Add fallocate test and -F, --fallocate, --fallocate-ops options

