=== debian/control ===
Source: stress-ng
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer. One
 can load CPU, memory, I/O sync, disk writes, forks and context
 switches.  It is a re-write of the original stress tool by
 Amos Waterland but has addition features such as specifying
 the number of bogo operations to run, execution metrics and
 two additional stress mechanisms.
