=== debian/changelog ===
stress-ng (0.03.15-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1420154)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 21 Feb 2015 22:51:35 +0100

stress-ng (0.03.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Don't make sieve static, it wastes space in the executable
  * Keep make quiet on builds that don't support _Decimal types
  * Makefile: more smarts to conditionally build stress-cpu
  * remove STRESS_FLOAT_DECIMAL
  * Try to build with _Decimal* floats, if fail, build without
  * Check for __int128 and _Decimal support
  * Don't complain about IPC_RMID failure if it's already been reaped
  * Don't report sem-op errors on EINTR
  * Only report OOM restarts and nomems if they actually occurred
  * stress-chmod: remove some unnecessary debug info
  * stress-socket: don't emit errno if EINTR
  * stress-udp: don't emit errno if EINTR
  * stress-chmod: only report number of retries if a retry occurred
  * stress-stack: handle OOM killer with monitoring parent
  * Add set_max_limits() to push user limits to maximum allowed
  * stress-cpu: re-work math stressors with macros
  * Add decimal{32|64|128} math ops in cpu stressor
  * Re-work floating point and complex floating point stressors
  * Re-work int stressors to use generic macro, and add int128 test

 -- Colin King <colin.king@canonical.com>  Mon, 9 Feb 2015 23:28:00 +0000

stress-ng (0.03.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix build warning for systems w/o _SC_PAGESIZE
  * Make semaphore creation non-fatal
  * Fix a few warnings on gcc 4.5.3 (NetBSD)
  * Make STRESS_SIGFD linux only
  * Re-order sendfile #define
  * Re-order hdd and hsearch #defines
  * Forgot to make futex linux only
  * Typo: replace __linux with __linux__
  * Use pow since powl has less precision than advertised warning on FreeBSD
  * Forgot to remove mremap from help if non-Linux
  * Update manual, stress-mremap is linux only
  * Make mremap test linux only
  * stress-mremap: move to using page size helper
  * Add helper to get cpu clock ticks
  * Add number of processors online helper.
  * Add page size helper, we don't need to repeat the sysconf calls
  * Add malloc stressor
  * Add some more comments
  * Clean up BSD workarounds
  * stress-brk: wrap an overly long line
  * Add memory remapping stressor
  * Turn off madvise DONTNEED as it can cause us checking errors
  * Add another NetBSD long double workaround
  * stress-hdd - don't allow fadvise on GNU HURD
  * Add vmsplice stressor
  * Correct error message on pipe failure
  * Fix up latest stressors, re-order options and add vm-rw-* help
  * Add splice stressor
  * Add vm-rw stressor
  * Add read64 and write64 vm memory stress methods.

 -- Colin King <colin.king@canonical.com>  Thu, 5 Feb 2015 15:22:10 +0000

stress-ng (0.03.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Cater for non-existent long double math functions in NetBSD
  * mounts: forgot to handle NetBSD in mount detection
  * Make mounts build for NetBSD too
  * Disabled stress-wait for NetBSD - can't see how to do CONT sig wait
  * Cater for systems that do not have MAP_ANONYMOUS
  * Add NetBSD support to stress-stack
  * Make vector gcc'isms compile in for modern versions of gcc only
  * stress-hdd: void unused params
  * Also catch SIGILL for FreeBSD
  * Remove trapping of SIGILL
  * stress-qsort: fix cmp3 byte-wise re-ordering
  * include signal.h in stress-pthread to fix FreeBSD build
  * Minor source reformatting on stress-ng.c
  * Reduce the precision and number of iterations for nsqrt
  * stress-shm-sysv: also shrink and re-try if ENOMEM occurs
  * Add some feedback of shm-sysv had to shrink shared memory size
  * Cater for EINVAL on shmget if size is too large.
  * Mungify stressor names when invoking the stressor
  * Drop default System V shared memory size to 8MB for *BSD kernels
  * Add check for BSD invalid chmod mode bits error
  * Fix printing of stressor names, some names too long and _ -> - conversion
  * stress-cache: put { } braces around cflush and mfence
  * stress-mq: intialise mq to -1 to avoid gcc warning (false positive)
  * Add full read checks in stress-hdd read stressor loops
  * stress-hdd: remove debug cruft
  * Forgot to escape some - hyphens in manual
  * Stress-hdd: remove ad-hoc open flags, replace with --hdd-opts option
  * Manual: fix spelling, destory -> destroy
  * Add vector maths stressor
  * Man page: naive -> naïve
  * Manual, lease-breakers: for --> to
  * Don't handle SIGSEGV and SIGBUS
  * Don't build sem-sysv for GNU HURD
  * Add sections of man pages for sys calls and libc functions
  * Add System V shared memory stress test
  * Fix error path on SYSV sem creation - need to reap semaphore
  * Re-work POSIX sem test to be aligned with SYSV sem test
  * Remove POSIX semaphore header, not required
  * Add System V semaphore stressor

 -- Colin King <colin.king@canonical.com>  Sun, 1 Feb 2015 15:22:10 +0000

stress-ng (0.03.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Add udp to --help output
  * remove need to setup unix pathname in stress-socket
  * stress-epoll: use net helper funcs
  * stress-mq: memset msg to zero to stop valgrind complaining
  * Clear epoll_event struct; warning from valgrind
  * Add net helper functions, refactor udp and socket stressors
  * Add udp stressor
  * Reduce the minimum timer frequency to 1Hz
  * Remove duplicate error message in rdrand stressor
  * Correct error messages, removed "failed" and trailing "\n"
  * Clear alternative signal stack, stops cppcheck warning
  * Limit sscanf field to avoid overflows
  * Remove memory locking, it wasn't such a good idea after all

 -- Colin King <colin.king@canonical.com>  Thu, 29 Jan 2015 11:49:00 +0000

stress-ng (0.03.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Add --hdd-sync, --hdd-dsync, --hdd-direct, --hdd-noatime options
  * Add sigfd stressor

