=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/stress-ng/stress-ng-(.+).tar.gz
