## stress-ng 0.03.20

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.03.15
+VERSION=0.03.20
 #
-# Codename "stressed silicon"
+# Codename "severely stressed silicon"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -52,12 +52,15 @@
 	stress-hsearch.c \
 	stress-inotify.c \
 	stress-iosync.c \
+	stress-kcmp.c \
 	stress-kill.c \
 	stress-lease.c \
 	stress-lsearch.c \
 	stress-link.c \
 	stress-lockf.c \
+	stress-longjmp.c \
 	stress-malloc.c \
+	stress-matrix.c \
 	stress-memcpy.c \
 	stress-mincore.c \
 	stress-mmap.c \
