=== debian/changelog ===
stress-ng (0.03.20-1) unstable; urgency=medium

  * Makefile: bump version
  * sched: Fix build warning on get_sched_name on GNU HURD
  * stress-hdd: Fix incorrect format specifier %zu for a uint64_t
  * stress-fallocate: Fix off_t printf warnings on 32 bit GNU HURD
  * Fix resource leak (file descriptor) on error exit of stress-hdd
  * Fix Manual, clarify the action of hdd stressor
  * stress-aio: reduce scope of ret
  * Fix missing stressor name in pr_err() messages
  * Fix missing stressor name in pr_inf() and pr_dbg() messages
  * Fix missing stressor name in pr_fail() messages
  * stress-hdd: fix verify mode for hdd stressor
  * stress-hdd: fix missing read if no read preference specified
  * sched: fix default priority levels and lack of class name in messages
  * stress-hdd: fix read of end of file when generated with random writes
  * Fix extraneous leading space after the "hogs:" message
  * stress-hdd: fix false error reports on short reads
  * stress-hdd: fix noisy "incomplete reads" debug message
  * stress-fallocate: fix incorrect errors reported on fallocate sizes
  * stress-fallocate: fix error messages, they are rather meaningless
  * stress-aio: report correct errno on async error
  * stress-aio: handle EAGAIN and EINTR correctly
  * stress-hdd: POSIX_FADV_RND should be POSIX_FADV_RANDOM

 -- Colin King <colin.king@canonical.com>  Thu, 26 Feb 2015 17:17:00 +0000

stress-ng (0.03.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-sem: fix spelling mistake in comment: destory -> destroy
  * Manual: fix spelling mistake: successfull -> sucessful
  * Manual: fix typo: summaries -> summarise
  * Manual: vecmath: Replace x with \(mu multiply sign for correct formatting
  * Manual: Fix udp port description, add the default base port being used.
  * Manual: remove deprecated --hdd-sync option
  * Manual: fix typo: mremmap -> remap
  * Manual: Replace x with \(mu multiply sign
  * Manual: Fix typo: randonly -> randomly
  * Manual: Fix spelling mistake: hightest -> highest
  * Manual: Correct description for --fifo option
  * Manual: Fix spelling mistake and epoll_wait section
  * Rename id to s_id to stop variable shadowing
  * Move scope of j, removes shadowing of j too.
  * stress-aio: clean up clang warnings on integer conversions
  * Re-format and slightly re-word debian control description text
  * Remove trailing white spaces from lines and empty lines
  * Remove duplicated changelog entries
  * Fix macro expansion overflows on 32 bit architectures
  * stress-matrix: clean up some more cppcheck style warnings
  * stress-longjmp: move counter c, cleans up cppcheck style warning
  * stress-inotify: fix buffer bounds checking on inotify input
  * stress-ng: remove some debug that never got printed
  * stress-pipe: ret should be ssize_t
  * stress-hdd: ret should be ssize_t
  * stress-mmap: better error handling on write
  * out-of-memory: add better write error checking
  * stress-null: better error handling on write
  * stress-lockf: better error handling on write
  * stress-fault: better error handling on write
  * stress-vm-rw: better error handling on read/write
  * stress-sigfd: better error handling on read
  * stress-seek: better error handling on read/write
  * stress-procfs: better error handling on read
  * stress-poll: better error handling on read/write
  * stress-pipe: better error handling on read/write
  * stress-inotify: better error handling on read/write
  * stress-hdd: better error handling on read/write
  * stress-switch: cater for zero write w/o error
  * stress-fifo: better error handling on read/write
  * stress-pipe: better error handling on read/write
  * stress-urandom: better error handling on read
  * stress-zero: better error handling on read
  * stress-eventfd: better read/write handling
  * print correct number of hogs when --class is used

 -- Colin King <colin.king@canonical.com>  Mon, 23 Feb 2015 15:58:00 +0000

stress-ng (0.03.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Move order of hadamard matrix method, now in alphabetical order
  * Fix macro typos - STESS -> STRESS (LP: #1423241)
  * Add in matrix info into help

 -- Colin King <colin.king@canonical.com>  Wed, 18 Feb 2015 16:08:00 +0000

stress-ng (0.03.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix name clash on union on *BSD systems
  * Explicitly ignore return from wait*() calls by (void) cast
  * Add minimize/maximize to matrix size
  * Add --cache-prefetch option
  * Make opt_sequential int32 and print out hogs if --seq is being used
  * Handle builds for system calls that don't exist
  * stress-vm-rw: include missing header
  * Ignore args in kcmp for systems that don't support this call
  * Forgot ULL after fibonacci uint64_t assignment, warning on 32 bit mips
  * Add longjmp stressor
  * Constify a few more function args
  * Add in some shifts to vecmath
  * Constify a few more func args
  * Make cache no-ops into do {} while (0) statement
  * Move PR_* bit flags to bottom nybble, makes stress-ng smaller
  * Fix spelling mistake in manual: subtrace -> subtract
  * Forgot to capitalise the matrix product methods
  * Add two more matrix product methods
  * man page: long double floats -> floats for matrix
  * Add matrix stressor with a bunch of stressor methods
  * stress-shm-sysv: initialise shm_ids as -1 to indicate not set
  * Use semun union when passing values to semctl, fixes powerpc segfault
  * stress-rdrand: move #includes to fix build warning on ARM
  * Make mallopt code depend on GNUC and linux
  * Reduce MAX stress-fallocate allocation size for 32 bit systems
  * Move #includes in io-priority to stop build warnings
  * Add --malloc-thresh tuneable option
  * Used #if defined(...) consistently.
  * Munge stressor names when showing hoggers
  * Remove repeated #if defined() checks, simplify them into stress-ng.h
  * Add another example to the manual
  * Increase maximum lease breakers

