## stress-ng 0.04.20

=== Makefile ===
--- 
+++ 
@@ -16,25 +16,30 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.03.20
-#
-# Codename "severely stressed silicon"
-#
-
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+VERSION=0.04.20
+#
+# Codename "break and beleaguer"
+#
+
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
 
 SRC =   stress-affinity.c \
 	stress-aio.c \
+	stress-aio-linux.c \
 	stress-bigheap.c \
 	stress-brk.c \
 	stress-bsearch.c \
 	stress-cache.c \
+	stress-chdir.c \
 	stress-chmod.c \
 	stress-clock.c \
+	stress-clone.c \
+	stress-context.c \
 	stress-cpu.c \
+	stress-crypt.c \
 	stress-dentry.c \
 	stress-dir.c \
 	stress-dup.c \
@@ -42,17 +47,22 @@
 	stress-eventfd.c \
 	stress-fallocate.c \
 	stress-fault.c \
+	stress-fcntl.c \
 	stress-fifo.c \
 	stress-flock.c \
 	stress-fork.c \
 	stress-fstat.c \
 	stress-futex.c \
 	stress-get.c \
+	stress-getrandom.c \
 	stress-hdd.c \
 	stress-hsearch.c \
+	stress-icache.c \
 	stress-inotify.c \
 	stress-iosync.c \
+	stress-itimer.c \
 	stress-kcmp.c \
+	stress-key.c \
 	stress-kill.c \
 	stress-lease.c \
 	stress-lsearch.c \
@@ -62,22 +72,31 @@
 	stress-malloc.c \
 	stress-matrix.c \
 	stress-memcpy.c \
+	stress-memfd.c \
 	stress-mincore.c \
+	stress-mlock.c \
 	stress-mmap.c \
+	stress-mmapfork.c \
+	stress-mmapmany.c \
 	stress-mremap.c \
 	stress-msg.c \
 	stress-mq.c \
 	stress-nice.c \
 	stress-noop.c \
 	stress-null.c \
+	stress-numa.c \
 	stress-open.c \
 	stress-pipe.c \
 	stress-poll.c \
 	stress-procfs.c \
 	stress-pthread.c \
+	stress-ptrace.c \
+	stress-quota.c \
 	stress-qsort.c \
 	stress-rdrand.c \
+	stress-readahead.c \
 	stress-rename.c \
+	stress-rlimit.c \
 	stress-seek.c \
 	stress-sem.c \
 	stress-sem-sysv.c \
@@ -85,16 +104,24 @@
 	stress-shm-sysv.c \
 	stress-sigfd.c \
 	stress-sigfpe.c \
+	stress-sigpending.c \
 	stress-sigsegv.c \
+	stress-sigsuspend.c \
 	stress-sigq.c \
 	stress-socket.c \
+	stress-socketpair.c \
 	stress-splice.c \
 	stress-stack.c \
+	stress-str.c \
 	stress-switch.c \
 	stress-sysinfo.c \
+	stress-sysfs.c \
+	stress-tee.c \
 	stress-timer.c \
+	stress-timerfd.c \
 	stress-tsearch.c \
 	stress-udp.c \
+	stress-udp-flood.c \
 	stress-urandom.c \
 	stress-utime.c \
 	stress-vecmath.c \
@@ -102,8 +129,11 @@
 	stress-vm-rw.c \
 	stress-vm-splice.c \
 	stress-wait.c \
+	stress-wcstr.c \
+	stress-xattr.c \
 	stress-yield.c \
 	stress-zero.c \
+	stress-zombie.c \
 	coredump.c \
 	helper.c \
 	io-priority.c \
@@ -111,13 +141,16 @@
 	log.c \
 	madvise.c \
 	mincore.c \
+	mlock.c \
 	mounts.c \
 	mwc.c \
 	net.c \
 	out-of-memory.c \
 	parse-opts.c \
+	perf.c \
 	proc-name.c \
 	sched.c \
+	thermal-zone.c \
 	time.c \
 	stress-ng.c
 
@@ -132,7 +165,7 @@
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
 stress-ng: $(OBJS)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -lpthread -lrt -o $@ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -pthread -lrt -lcrypt -o $@ $(LDFLAGS)
 
 stress-cpu.o: stress-cpu.c
 	@echo $(CC) $(CFLAGS) -c -o $@ $<
@@ -145,6 +178,14 @@
 	fi
 	@rm -f test-decimal.c test-decimal.o
 
+stress-str.o: stress-str.c
+	@echo $(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+
+stress-wcstr.o: stress-wcstr.c
+	@echo $(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+
 $(OBJS): stress-ng.h Makefile
 
 stress-ng.1.gz: stress-ng.1
@@ -154,7 +195,7 @@
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile $(SRC) stress-ng.h stress-ng.1 \
-		COPYING syscalls.txt mascot \
+		COPYING syscalls.txt mascot README README.Android \
 		stress-ng-$(VERSION)
 	tar -zcf stress-ng-$(VERSION).tar.gz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)
