=== debian/changelog ===
stress-ng (0.04.20-1) unstable; urgency=medium

  * Makefile: bump version
  * cater for system V and BSD variants of setpgrp
  * stress-fifo: avoid blocking on reader to avoid deadlock (LP: #1497268)
  * stress-readahead: give feedback on premature exit
  * stress-aio: no need to free io_reqs, its now on the stack
  * Put all child processes under the parents process group ID (LP: #1497236)
  * Remove SIGUSR1 and SIGUSR2 trapping, we don't need to trap these
  * stress-fifo: check for run flag in child loop
  * stress-eventfd: check for run flag in child loop
  * stress-epoll: check for run flag on recv loop
  * stress-mq: check for run flag in child loop
  * stress-msg: check for run flag in child loop
  * stress-pipe: check for run flag in child loop
  * stress-sigfd: check for run flag in child loop
  * stress-socket: check for run flag in child loop
  * stress-switch: check for run flag in child loop
  * stress-tee: check for run flag in child loop
  * stress-vm-rw: check for run flag in child loop
  * stress-sigq: check for run flag in child loop
  * stress-kcmp: check for run flag in child loop
  * stress_sigsuspend: check for run flag in child loop
  * stress-socket-pair: check for run flag rather in child loop
  * stress-pipe: bail out on zero byte pipe reads (LP: #1496966)
  * stress-futex: bail out after 0.5 seconds of failed waits (LP: #1496963)
  * stress-clone: remove CLONE_VM unsharing (LP: #1496957)
  * stress-sigsuspend: remove spinlock to remove contention (LP: #1496439)
  * Put stack in per clone struct, reduce stack size
  * stress-aio: cancel signal handler at end of test (LP: #1496340)

 -- Colin King <colin.king@canonical.com>  Fri, 18 Sep 2015 15:38:00 +0100

stress-ng (0.04.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-cpu: data and idct should be floats for idct (LP: #1495882)
  * stress-cpu: use hex initialisers for G constants instead of binary
  * stress-numa: fix out of bounds memory read on ARM64 (LP: #1495761)

 -- Colin King <colin.king@canonical.com>  Tue, 15 Sep 2015 10:43:11 +0100

stress-ng (0.04.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix singular/plural of "stressors spawned" message (LP: #1494797)
  * stress-ureadahead: provide feed back when timout occurs (LP: #1494784)
  * stress-timer, itimer: fix termination hangs (LP: #1494751)

 -- Colin King <colin.king@canonical.com>  Fri, 11 Sep 2015 16:24:42 +0100

stress-ng (0.04.17-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-fstat: open devices with O_NONBLOCK (LP: #1493717)
  * stress-epoll: ensure addr is initialised to NULL
  * stress-vm: Add sanity check for rowhammer sizes
  * stress-timer: fix incorrect setting of timer
  * stress-itimer: fix incorrect setting of timer
  * stress-shm-sysv: remove dead initialisation of sz
  * stress-hsearch: remove dead initialisation of max
  * thermal-zone: remove dead initialisation
  * stress-epoll: remove redundant retries assignment
  * stress-socket: remove redundant retries assignment

 -- Colin King <colin.king@canonical.com>  Wed, 9 Sep 2015 09:08:00 +0100

stress-ng (0.04.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Don't build in stress-clone features if clone() not available
  * stress-clone: add unshare call
  * stress-get: add timex info get
  * Update syscalls.txt with clone
  * Add clone stressor
  * Add the 8-queens solver to the CPU stressor
  * stress-key: add build checks on KEYCTL_* features

 -- Colin King <colin.king@canonical.com>  Mon, 7 Sep 2015 10:03:00 +0100

stress-ng (0.04.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix --vm-keep, it should be setting opt_flags
  * Update man page contributions

 -- Colin King <colin.king@canonical.com>  Mon, 17 Aug 2015 08:41:00 -0700

stress-ng (0.04.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: control: don't depend on libkeyutils-dev for some arches
  * Don't parse NULL exclude list

 -- Colin King <colin.king@canonical.com>  Thu, 30 Jul 2015 12:48:00 +0100

stress-ng (0.04.13-1) unstable; urgency=medium

  * Makefile: bump version, change code name
  * Move exclude parsing after we have parsed all the stressor options
  * stress-ng: fix unitialised n, found by clang
  * stress-key: handle clean up when we bail out early
  * stress-stack should not be part of the CPU stress class
  * Add the -x, --exclude test exclusion option
  * Add libkeyutils-dev to debian control
  * Update syscalls list
  * Add key stressor (keyctl, add_key)
  * stress-kcmp: bail out early after 5 kcmp test failures per instance
  * Remove some trailing white spaces from lines
  * stress-vm: replace logic with simplified version
  * stress-vm: parenthesis around macro definition
  * stress-rdrand: add more useful debug stats
  * Add instruction cache stressor
  * helper: fix spelling mistake
  * Manual: fix a few spelling mistakes
  * stress-str: make index a register size_t type
  * stress-wdstr: make index a register size_t type
  * stress-wait: tidy up formatting of function args
  * stress-mmapmany: use STRESS_MAX macro
  * stress-mmapfork: minor variable cleanup
  * stress-inotify: make mk_filename static
  * stress-matrix: replace #defined MATRIX_TYPE with typedef
  * coredump: make string static
  * mounts: make mount_add static, clean up code a bit
  * Put MIN/MAX macros into stress-ng.h
  * Small amount of white space empty line clean up
  * Unify SET/GET/CLR macros
  * stress-futex: move futex info into futex struct
  * stress-sem-sysv: move sem sysv info into sem_sysv struct
  * stress-sem-posix: move sem and init into sem_posix struct
  * stress-xattr: add flistxattr calls
  * Minor change to error message
  * Fix typo in man page, exerised -> exercised
  * stress-mq: use correct stressor name in dbg messages
  * stress-mq: add occasional use of mq_getattr()
  * Only call perf_* if --perf is actually being used
  * yaml: times and system-info are not arrays, but lists

